Bug 18122 - Audio alerts: Add hint on where to enable sounds
Summary: Audio alerts: Add hint on where to enable sounds
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-15 09:17 UTC by Marc Véron
Modified: 2017-04-03 14:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18122 - Audio alerts: Add hint on where to enable sounds (2.41 KB, patch)
2017-02-15 09:30 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18122 - Audio alerts: Add hint on where to enable sounds (2.66 KB, patch)
2017-02-21 20:00 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18122 - Audio alerts: Add hint on where to enable sounds (2.72 KB, patch)
2017-02-22 19:26 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18122 - Audio alerts: Add hint on where to enable sounds (2.79 KB, patch)
2017-02-24 08:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-02-15 09:17:17 UTC
Add a hint to page Home > Administration > Audio alerts about where to enable the sound system (syspref 'AudioAlerts').
Comment 1 Marc Véron 2017-02-15 09:30:59 UTC
Created attachment 60246 [details] [review]
Bug 18122 - Audio alerts: Add hint on where to enable sounds

This patch adds a hint to page Home > Administration > Audio alerts
and related help page about where to enable the sound system
(syspref 'AudioAlerts').

To test:
- Apply patch
- Disable syspref 'AudioAlerts'
- Go to Home > Administration > Audio alerts
- Note hint below title 'Audio alerts'
- Enable syspref 'AudioAlerts'
- Go to  Home > Administration > Audio alerts
- Hint is no longer visible (since audios are enabled)
- Open Help page (top right)
- Verify that hint on help page makes sense.
Comment 2 Owen Leonard 2017-02-21 17:31:35 UTC
I think the hint on the audio alerts page should be in a <div class="dialog alert"></div>
Comment 3 Marc Véron 2017-02-21 20:00:12 UTC
Created attachment 60536 [details] [review]
Bug 18122 - Audio alerts: Add hint on where to enable sounds

This patch adds a hint to page Home > Administration > Audio alerts
and related help page about where to enable the sound system
(syspref 'AudioAlerts').

To test:
- Apply patch
- Disable syspref 'AudioAlerts'
- Go to Home > Administration > Audio alerts
- Note hint below title 'Audio alerts'
- Enable syspref 'AudioAlerts'
- Go to  Home > Administration > Audio alerts
- Hint is no longer visible (since audios are enabled)
- Open Help page (top right)
- Verify that hint on help page makes sense.

Amended to add alert class as requested by comment #2 2017-02-21 mv
Comment 4 M. Tompsett 2017-02-22 19:25:52 UTC
Wow! This is going to save some poor tired soul a lot of headaches. Good job.
Comment 5 M. Tompsett 2017-02-22 19:26:20 UTC
Created attachment 60571 [details] [review]
Bug 18122 - Audio alerts: Add hint on where to enable sounds

This patch adds a hint to page Home > Administration > Audio alerts
and related help page about where to enable the sound system
(syspref 'AudioAlerts').

To test:
- Apply patch
- Disable syspref 'AudioAlerts'
- Go to Home > Administration > Audio alerts
- Note hint below title 'Audio alerts'
- Enable syspref 'AudioAlerts'
- Go to  Home > Administration > Audio alerts
- Hint is no longer visible (since audios are enabled)
- Open Help page (top right)
- Verify that hint on help page makes sense.

Amended to add alert class as requested by comment #2 2017-02-21 mv

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 6 Jonathan Druart 2017-02-24 08:26:52 UTC
Created attachment 60640 [details] [review]
Bug 18122 - Audio alerts: Add hint on where to enable sounds

This patch adds a hint to page Home > Administration > Audio alerts
and related help page about where to enable the sound system
(syspref 'AudioAlerts').

To test:
- Apply patch
- Disable syspref 'AudioAlerts'
- Go to Home > Administration > Audio alerts
- Note hint below title 'Audio alerts'
- Enable syspref 'AudioAlerts'
- Go to  Home > Administration > Audio alerts
- Hint is no longer visible (since audios are enabled)
- Open Help page (top right)
- Verify that hint on help page makes sense.

Amended to add alert class as requested by comment #2 2017-02-21 mv

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2017-03-03 18:16:03 UTC
Pushed to master for 17.05, thanks Marc!
Comment 8 Katrin Fischer 2017-03-12 23:01:04 UTC
Helpful string change - decided to push this although it's marked as enhancement.

This patch has been pushed to 16.11.x and will be in 16.11.05.
Comment 9 Mason James 2017-04-03 14:39:19 UTC
Pushed to 16.05.x, for 16.05.11 release